.ykLoadingScreen {
  visibility: hidden;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: -1;
  opacity: 0;
  transition: opacity 0.5s linear;

  &__animation {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -50px;
    margin-top: -50px;
    width: 100px;
    height: 100px;
    background-size: contain;
    background-repeat: no-repeat;
  }
  &--active {
    visibility: visible;
    z-index: 971;
    opacity: 1;
  }
  &[data-yk-style="circle"] {
    .ykLoadingScreen__animation {
      background-image: url("circle.gif");
    }
  }
  &[data-yk-style="segments"] {
    .ykLoadingScreen__animation {
      background-image: url("segments.gif");
    }
  }
  &[data-yk-style="square"] {
    .ykLoadingScreen__animation {
      background-image: url("square.gif");
    }
  }
}